Subject: bug#53668: Updating substitutes on LAN hosts dies unexpectedly

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 12 May 2022 09:47:45 -0400

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Maxime Devos <[email-masked]> writes:
>>
>>> Ludovic Courtès schreef op wo 11-05-2022 om 16:58 [+0200]:
>>>> However, this may well be this ‘guix publish’ bug that was recently
>>>> fixed, whereby ‘guix publish’ without ‘--cache’ would send bogus HTTP
>>>> replies:
>>>> 
>>>>   https://issues.guix.gnu.org/54723
>>>> 
>>>> Could you confirm?
>>>> 
>>>> Ludo’.
>>>
>>> Even then, the error message says ‘wrong type error ...’, shouldn't it
>>> say something like ‘bogus HTTP’ or ‘bogus narinfo’ or such instead?
>>
>> I agree that a more accurate error message would have been useful.  If
>> you have the bandwidth for a patch, I'd be more than happy reviewing it
>> :-).
>
> HTTP response parsing happens in (web response) though, not in Guix, so
> this is where things should be patch.
>
> Currently that code pretty much expects it’s talking to a well-behaved
> HTTP server.  Changing it to gracefully deal with any kind of garbage
> might turn out to be quite an effort.

Hmm.  I see.  Maxime, perhaps an issue can be logged against Guile to at
least remember it exists, to tackle by anyone with the
interest/bandwidth.  I think it'd be valuable in the long run.

Thank you!

Maxim